import { FileDownloadGrantsDto, FileDownloadGrantsUnboxedDto } from "../../auth/dtos/FileDownloadGrantsDto";
export declare type PublicPermissionsGrantsFilesDto = FileDownloadGrantsDto;
/**
 * Permissions applied to anonymous users who attempt to download files from a folder.
 *
 * The `downloadFile` field declares which transformations, if any, the folder's files can be downloaded though.
 *
 * Each folder can declare these permissions via its FolderSettings object.
 */
export declare type PublicPermissionsGrantsFilesUnboxedDto = FileDownloadGrantsUnboxedDto;
